Imagem de destaque

iTunes 12.8.1 quebra Safari no OS X Yosemite 10.10.5; Steam deixará de funcionar em sistemas antigos

Se você tem um Mac e ainda está usando o sistema operacional OS X Yosemite, aqui vão dois recados importantes para você.

iTunes 12.8.1 vs. Safari 10.1.2

A Apple disponibilizou recentemente o iTunes 12.8.1 com algumas correções de erros para usuários que estão rodando Yosemite, Sierra ou High Sierra. Contudo, se você está no Yosemite 10.10.5, evite fazer a atualização agora — por um motivo bem simples: ela está quebrando o Safari 10.1.2, conforme podemos ver em diversos relatos na internet (fórum do MacRumors, Twitter, Reddit, Stack Exchange e mais).

Ao fazer a atualização para a nova versão do iTunes, alguns usuários estão se deparando com uma mensagem de erro informando que o Safari simplesmente não pode ser aberto. De acordo com um usuário afetado pelo problema, ele pode ter relação com a possibilidade de o iTunes 12.8.1 ter atualizado o framework MobileDevice, localizado em /System/Library/PrivateFrameworks/, para uma versão incompatível com o Safari 10.1.2. A Apple já foi informada sobre o problema.

As alternativas são: usar um outro navegador ou atualizar o sistema (algo que, se a pessoa ainda está no Yosemite 10.10.5, definitivamente não é algo que ela quer fazer). Alguns usuários também comentaram que conseguiram resolver o problema abrindo Finder, indo em Ir » Ir para Pasta…, digitando /System/Library/PrivateFrameworks/ e arrastando o arquivo MobileDevice.framework para o Lixo.

Suporte do Steam

Aos jogadores de plantão, a plataforma Steam informou que, a partir de 1º de janeiro de 2019, não oferecerá mais suporte ao Yosemite (10.10), ao Mavericks (10.9), ao Mountain Lion (10.8) e ao Lion (10.7). Desta forma, a partir do começo do próximo ano, não será mais executar o Steam Client nesses sistemas operacionais.

Steam

Para continuar usando a Steam e jogos ou outros produtos comprados na plataforma, usuários precisarão necessariamente atualizar para uma versão mais recente do macOS. A explicação para isso é que os novos recursos da Steam contam com uma versão incorporada do Google Chrome, que não funciona mais em versões antigas do sistema. Além disso, versões futuras da plataforma exigirão recursos e atualizações de segurança presentes minimamente no macOS El Capitan 10.11.

·   •   ·

Fica aqui o aviso. Ainda que muitos prefiram certos aspectos das versões mais antigas dos sistemas operacionais da Apple — ou até mesmo estejam utilizando alguma versão dessas por conta da performance de tal SO num determinado hardware —, atualmente estamos no macOS Mojave 10.14.2 e muitas brechas de segurança, vulnerabilidades importantes e mais foram fechadas de lá para cá.

A nossa sugestão, então, não poderia ser outra a não ser recomendar a atualização para as versões mais recentes do macOS. Se você tiver um Mac compatível, é claro. 😉

via MacRumors: 1, 2

Posts recomendados
Comentários

O Modo Escuro foi ativado ou desativado.
Atualize esta página para ver os comentários.


Carregar mais posts recentes